<?php

namespace Drupal\system_tags\SystemTagFinder;

/**
 * Interface SystemTagFinderInterface.
 *
 * @package Drupal\system_tags\SystemTagFinder
 */
interface SystemTagFinderInterface {

  /**
   * Find content by System Tag ID.
   *
   * @param string $systemTagId
   *   The ID of the System Tag.
   *
   * @return \Drupal\Core\Entity\EntityInterface[]
   *   An array of entities, tagged with the given ID.
   */
  public function findByTag($systemTagId);

}
